Skip to content

Commit

Permalink
added 'build-image' target to the build script, for v0.19 release
Browse files Browse the repository at this point in the history
  • Loading branch information
peterjcarr committed Oct 13, 2018
1 parent af9e336 commit f5f0499
Show file tree
Hide file tree
Showing 3 changed files with 23 additions and 33 deletions.
21 changes: 21 additions & 0 deletions build.xml
Original file line number Diff line number Diff line change
Expand Up @@ -44,6 +44,27 @@
description="update the manifest file with values from 'build.properties'"
/>

<!--
Build the local docker image
--><?code
Examples:
docker build -f Dockerfile . --tag dapple
docker build -f Dockerfile . --tag dapple:v0.19
docker build -f Dockerfile . --tag genepattern/dapple:v0.19
?>
<target name="build-image" depends="init"
description="build the docker image from the ./docker/Dockerfile"
>
<property name="dockerfile" value="docker/Dockerfile" />
<available file="${dockerfile}" property="dockerfile.exists" />
<fail unless="dockerfile.exists" message="Missing required file: '${dockerfile}' does not exist" />

<fail unless="job.docker.image" message="Missing required property: job.docker.image" />

<exec executable="docker" dir="docker" >
<arg line="build -f Dockerfile . --tag ${job.docker.image}" />
</exec>
</target>

<!--
Build the module zip file.
Expand Down
5 changes: 0 additions & 5 deletions docker/build-image.sh

This file was deleted.

30 changes: 2 additions & 28 deletions docker/run-example.sh
Original file line number Diff line number Diff line change
Expand Up @@ -26,25 +26,17 @@ set -euo pipefail
mkdir -p ${working_dir}
rm -f ${working_dir}/*

#
# 'source_dir', default: ./source
#
#: ${source_dir=${dapple_dir}/docker/source}

#
# 'dapple_script', default: /web/wwwprod/htdocs/mpg/dapple/NewCode/BuildNetwork_slowTMP.py
# 'dapple_script', default: /code/BuildNetwork_slowTMP.py
#
: ${dapple_script=/code/BuildNetwork_slowTMP.py}


#
# 'input_file', default: ../exampleInput
# 'input_file', default: ../exampleInput2
#
#: ${input_file=${dapple_dir}/exampleInput}
: ${input_file=${dapple_dir}/exampleInput2}
#: ${input_file=${dapple_dir}/exampleInput_SNP_RA}
#: ${input_file=${dapple_dir}/exampleInput_SNP_CD}


echo "Running dapple command ..."
echo " working_dir: ${working_dir}"
Expand All @@ -63,26 +55,8 @@ python "${dapple_script}" \
genome=18 \
nearestgene=false

# -v "${source_dir}/code":/code \

#/bin/bash -c "awk 'NR==FNR{s[\$1]=1;next}{if (s[\$1]==1) print }' Seeds <(gzip -dc /data/wingspan/hg18/*.ws.gz |) > SNPcheck"
#head <(/bin/bash -c "gzip -dc /data/wingspan/hg18/*.ws.gz |")
#awk 'NR==FNR{s[$1]=1;next}{if (s[$1]==1) print }' Seeds `/bin/bash -c "ls /data/wingspan/hg18/*.ws.gz | xargs gzip -dc"`
#awk 'NR==FNR{s[$1]=1;next}{if (s[$1]==1) print }' Seeds <(/bin/bash -c "gzip -dc /data/wingspan/hg18/*.ws.gz")

#ls /data/wingspan/hg18/chr1.ws.gz

# /bin/bash -c "ls /data/wingspan/hg18/*"

# -v "${source_dir}/data":/data \

# -v "${source_dir}/web/wwwprod/htdocs/mpg/dapple/NewCode":/web/wwwprod/htdocs/mpg/dapple/NewCode \
# -v "${source_dir}/fg/wgas2/rossin":/fg/wgas2/rossin \
# -v "${source_dir}/home/unix/rossin/DALY/PPI/NewCode":/home/unix/rossin/DALY/PPI/NewCode \

set +x

# >${working_dir}/stdout.txt 2>${working_dir}/stderr.txt
exit_code=$?
echo "Completed, see results in ${working_dir}"

Expand Down

0 comments on commit f5f0499

Please sign in to comment.